> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get brand migration state

> Current migration state and history.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Response

`object`

<ResponseField name="current" type="object" required>
  <Expandable title="current">
    <ResponseField name="id" type="string (uuid)" />

    <ResponseField name="brand_id" type="string (uuid)" required />

    <ResponseField name="stage" type="string" required />

    <ResponseField name="routing_mode" type="string" required />

    <ResponseField name="canary_percent" type="integer" required />

    <ResponseField name="target_config_version" type="integer" />

    <ResponseField name="rollback_config_version" type="integer" />

    <ResponseField name="notes" type="string" />

    <ResponseField name="is_active" type="boolean" required />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="updated_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

<ResponseField name="history" type="object[]" required>
  <Expandable title="history">
    <ResponseField name="id" type="string (uuid)" />

    <ResponseField name="brand_id" type="string (uuid)" required />

    <ResponseField name="stage" type="string" required />

    <ResponseField name="routing_mode" type="string" required />

    <ResponseField name="canary_percent" type="integer" required />

    <ResponseField name="target_config_version" type="integer" />

    <ResponseField name="rollback_config_version" type="integer" />

    <ResponseField name="notes" type="string" />

    <ResponseField name="is_active" type="boolean" required />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="updated_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                              |
| ----- | ------------------------------------ |
| `200` | Current migration state and history. |
| `400` | Validation error                     |
| `401` | Unauthorized                         |
| `404` | Not found                            |
| `429` | Rate limited                         |
| `500` | Internal error                       |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/migration' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "current": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "stage": "string",
      "routing_mode": "string",
      "canary_percent": 8,
      "target_config_version": 1,
      "rollback_config_version": 1,
      "notes": "Two-person tent, green — replacement for damaged pole set.",
      "is_active": true,
      "created_at": "2026-08-31T14:22:05Z",
      "updated_at": "2026-08-31T14:22:05Z"
    },
    "history": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "stage": "string",
        "routing_mode": "string",
        "canary_percent": 8,
        "target_config_version": 1,
        "rollback_config_version": 1,
        "notes": "Two-person tent, green — replacement for damaged pole set.",
        "is_active": true,
        "created_at": "2026-08-31T14:22:05Z",
        "updated_at": "2026-08-31T14:22:05Z"
      }
    ]
  }
  ```
</ResponseExample>
